浏览器版本低!无法浏览完整内容,建议升级或更换浏览器。
 
第1行: 第1行:
{{flutter-sidebar}}<span style="font-size:12.0pt;">1</span><span style="font-size:12.0pt;">、iOS</span>调试总是Lost connection to device<br/><span style="color:red;"><span style="font-size:12.0pt;">解决办法:在终端运行</span></span> <span style="background:white;"><span style="color:red;"><span style="font-size:12.0pt;">brew upgrade --fetch-HEAD usbmuxd</span></span></span><br/><span style="background:white;"><span style="color:black;"><span style="font-size:12.0pt;">2</span></span></span><span style="background:white;"><span style="color:black;"><span style="font-size:12.0pt;">、真机调试报:</span></span></span><span style="font-size:12.0pt;">Library not loaded: @rpath/Flutter.framework/Flutter</span><br/><span style="background:white;"><span style="color:black;"><span style="font-size:12.0pt;">解决办法:参考</span></span></span>[https://www.jianshu.com/p/b6b2fc31eb2a <span style="font-family:-apple-system-font,serif;"><span style="font-size:12.0pt;">https://www.jianshu.com/p/b6b2fc31eb2a</span></span>]<br/><span style="font-size:12.0pt;">也可能是真机系统版本过高,flutter</span>不支持。<br/><span style="background:white;"><span style="color:black;"><span style="font-size:12.0pt;">3</span></span></span><span style="background:white;"><span style="color:black;"><span style="font-size:12.0pt;">、</span></span></span><span style="font-size:12.0pt;">iOS 9</span><span style="font-size:12.0pt;">以下绘制冲突问题</span><br/><span style="color:red;"><span style="font-family:dengxian;"><span style="font-size:12.0pt;">解决办法:可以将工程最低支持版本改为9.0</span>以上。</span></span>
+
<span style="font-size:small;"><span style="font-family:arial,helvetica,sans-serif;">{{flutter-sidebar}}1、iOS调试总是Lost connection to device:</span><br/><span style="color:red;">&nbsp; &nbsp; &nbsp; &nbsp;</span>解决办法:在终端运行 <span style="background:white;">brew upgrade --fetch-HEAD usbmuxd。</span><br/><span style="font-family:arial,helvetica,sans-serif;"><span style="background:white;"><span style="color:black;">2</span></span><span style="background:white;"><span style="color:black;"></span></span></span><span style="background:white;"><span style="color:black;">真机调试报</span></span><span style="font-family:arial,helvetica,sans-serif;"><span style="background:white;"><span style="color:black;"></span></span>Library not loaded: @rpath/Flutter.framework/Flutter:</span><br/><span style="background:white;"><span style="color:black;">&nbsp; &nbsp; &nbsp;<span style="font-family:arial,helvetica,sans-serif;">&nbsp;解决办法:</span>参考</span></span>[https://www.jianshu.com/p/b6b2fc31eb2a <span style="font-family:-apple-system-font,serif;">https://github.com/flutter/flutter/issues/49504#issuecomment-581554697</span>]<br/><span style="font-family:arial,helvetica,sans-serif;">&nbsp; &nbsp; &nbsp; &nbsp;也可能是真机系统版本过高,flutter不支持。<br/><span style="background:white;"><span style="color:black;">3</span></span><span style="background:white;"><span style="color:black;">、</span></span>iOS 9以下绘制冲突问题:<br/><span style="color:red;">&nbsp; &nbsp; &nbsp;</span>解决办法:可以将工程最低支持版本改为9.0以上。<br/>4、Android 用命令flutter build apk 打出的release包可能有问题:<br/>&nbsp; &nbsp; &nbsp;&nbsp;建议在Android工程目录下使用./gradlew assembleRelease命令或者直接Android studio打开android工程编译release包。</span></span>

2020年7月29日 (三) 06:04的最后版本

1、iOS调试总是Lost connection to device:
       解决办法:在终端运行 brew upgrade --fetch-HEAD usbmuxd。
2真机调试报Library not loaded: @rpath/Flutter.framework/Flutter:
      解决办法:参考https://github.com/flutter/flutter/issues/49504#issuecomment-581554697
       也可能是真机系统版本过高,flutter不支持。
3iOS 9以下绘制冲突问题:
     解决办法:可以将工程最低支持版本改为9.0以上。
4、Android 用命令flutter build apk 打出的release包可能有问题:
      建议在Android工程目录下使用./gradlew assembleRelease命令或者直接Android studio打开android工程编译release包。

  • 文档根本没法用

  • 文档水平很差

  • 文档水平一般

  • 文档不错

  • 文档写的很好

如发现文档错误,或对此文档有更好的建议,请在下方反馈。问题咨询请前往反馈平台提交工单咨询。

提交反馈

拖动标注工具

添加矩形标注

添加箭头标注

完成

取消